Bug 156348 - [PATCH] update games/klavaro to v0.8.1
Summary: [PATCH] update games/klavaro to v0.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-12 10:50 UTC by Aldis Berjoza
Modified: 2011-04-13 08:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.82 KB, patch)
2011-04-12 10:50 UTC, Aldis Berjoza
no flags Details | Diff
klavaro_1_9_0_diff.txt (2.54 KB, text/plain; charset=US-ASCII)
2011-04-12 14:21 UTC, Herbert J. Skuhra
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aldis Berjoza 2011-04-12 10:50:06 UTC
I've updated klavaro to v0.8.1

I also tried to update to v0.9.0 which is latest version. It compiles fine, but it totally doesn't work.
When you run klavaro v0.9.0 it displays many GTK errors about missing signal handlers. It's weird.

Anyway v0.8.1 works find :)

Note: If maintainer doesn't want to keep maintaining this port, I could take over.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-04-12 10:50:13 UTC
Maintainer of games/klavaro,

Please note that PR ports/156348 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/156348

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-04-12 10:50:15 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Herbert J. Skuhra 2011-04-12 14:21:35 UTC
Hi,

the attached patch updates games/klavaro to version 1.9.0.
So this one should be commited instead.

Thanks.

-Herbert
Comment 4 Aldis Berjoza 2011-04-12 14:52:33 UTC
 On Tue, 12 Apr 2011 15:21:35 +0200, Herbert J. Skuhra wrote:
> Hi,
>
> the attached patch updates games/klavaro to version 1.9.0.
> So this one should be commited instead.
>
> Thanks.
>
> -Herbert

 Thanks.
 Btw, I couldn't apply it cleanly. It failed on Makefile (other files 
 were patched OK)

-- 
 Aldis Berjoza
Comment 5 Herbert J. Skuhra 2011-04-12 15:15:03 UTC
On Tue, Apr 12, 2011 at 3:52 PM, Aldis Berjoza <aldis@bsdroot.lv> wrote:

> Thanks.
> Btw, I couldn't apply it cleanly. It failed on Makefile (other files were
> patched OK)

Hmm, and the error is?

Have you reverted your changes? If not rm -rf /usr/ports/games/klavaro
and run csup/cvsup again.
Afterwards:

# cd /usr/ports
# patch -p0 < klavaro_1_9_0_diff.txt

I have tested this several times.

-Herbert
Comment 6 Aldis Berjoza 2011-04-12 15:41:06 UTC
 On Tue, 12 Apr 2011 16:15:03 +0200, Herbert J. Skuhra wrote:
> On Tue, Apr 12, 2011 at 3:52 PM, Aldis Berjoza <aldis@bsdroot.lv> 
> wrote:
>
>> Thanks.
>> Btw, I couldn't apply it cleanly. It failed on Makefile (other files 
>> were
>> patched OK)
>
> Hmm, and the error is?
>
> Have you reverted your changes? If not rm -rf 
> /usr/ports/games/klavaro
> and run csup/cvsup again.
> Afterwards:
>
> # cd /usr/ports
> # patch -p0 < klavaro_1_9_0_diff.txt
>
> I have tested this several times.
>
> -Herbert


 desktop# pwd
 /usr/ports
 desktop# patch < /tmp/klavaro_1_9_0_diff.txt
 Hmm...  Looks like a unified diff to me...
 The text leading up to this was:
 --------------------------
 |diff -ruN games/klavaro.bak/Makefile games/klavaro/Makefile
 |--- games/klavaro.bak/Makefile	2011-04-12 12:58:03.000000000 +0200
 |+++ games/klavaro/Makefile	2011-04-12 14:13:34.000000000 +0200
 --------------------------
 Patching file Makefile using Plan A...
 Hunk #1 failed at 6.
 Hunk #2 failed at 18.
 Hunk #3 failed at 26.
 3 out of 3 hunks failed--saving rejects to Makefile.rej
 Hmm...  The next patch looks like a unified diff to me...
 The text leading up to this was:
 --------------------------
 |diff -ruN games/klavaro.bak/distinfo games/klavaro/distinfo
 |--- games/klavaro.bak/distinfo	2011-04-12 12:58:03.000000000 +0200
 |+++ games/klavaro/distinfo	2011-04-12 12:58:28.000000000 +0200
 --------------------------
 Patching file games/klavaro/distinfo using Plan A...
 Hunk #1 succeeded at 1.
 Hmm...  The next patch looks like a unified diff to me...
 The text leading up to this was:
 --------------------------
 |diff -ruN games/klavaro.bak/pkg-plist games/klavaro/pkg-plist
 |--- games/klavaro.bak/pkg-plist	2011-04-12 12:58:03.000000000 +0200
 |+++ games/klavaro/pkg-plist	2011-04-12 13:04:25.000000000 +0200
 --------------------------
 Patching file games/klavaro/pkg-plist using Plan A...
 Hunk #1 succeeded at 57.
 Hunk #2 succeeded at 115.
 Hunk #3 succeeded at 133.
 Hunk #4 succeeded at 144.
 done


 However with -p0 argument it worked fine... :)
-- 
 Aldis Berjoza
Comment 7 Frederic Culot freebsd_committer 2011-04-12 19:30:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->culot

I'll take it.
Comment 8 dfilter service freebsd_committer 2011-04-13 08:22:23 UTC
culot       2011-04-13 07:22:09 UTC

  FreeBSD ports repository

  Modified files:
    games/klavaro        Makefile distinfo pkg-plist 
  Log:
  - Update to 1.9.0
  
  PR:             ports/156348
  Submitted by:   Aldis Berjoza <aldis AT bsdroot.lv>
  Corrected by:   Herbert J. Skuhra <h.skuhra AT gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.26      +7 -2      ports/games/klavaro/Makefile
  1.14      +2 -2      ports/games/klavaro/distinfo
  1.13      +6 -0      ports/games/klavaro/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Frederic Culot freebsd_committer 2011-04-13 08:22:35 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!